VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   " Tone Generator Example"
   ClientHeight    =   1950
   ClientLeft      =   45
   ClientTop       =   285
   ClientWidth     =   2430
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1950
   ScaleWidth      =   2430
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.HScrollBar hsDur 
      Height          =   255
      LargeChange     =   10
      Left            =   120
      Max             =   10000
      Min             =   1
      TabIndex        =   2
      Top             =   960
      Value           =   10
      Width           =   2175
   End
   Begin VB.HScrollBar hsFreq 
      Height          =   255
      LargeChange     =   10
      Left            =   120
      Max             =   20000
      TabIndex        =   1
      Top             =   360
      Value           =   10000
      Width           =   2175
   End
   Begin VB.CommandButton cmdGenerate 
      Caption         =   "Generate Tone"
      Height          =   495
      Left            =   600
      TabIndex        =   0
      Top             =   1320
      Width           =   1215
   End
   Begin VB.Label lblDuration 
      Caption         =   "Duration: 10ms"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   720
      Width           =   2175
   End
   Begin VB.Label lblFreq 
      Caption         =   "Frequency: 10000hz"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   2175
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Title: Example of Generating Tones
'
'By: Jason Hensley
'
'Email: webmaster@vbcodesource.com
'
'Website: http://www.vbcodesource.com
'
'Description: Example on how to create simple tones using
'the Beep Api Function. There are lots of hardware out
'there that may support different frequencys. So, you will
'have to see how high/low the frequencys are that your
'hardware supports then change the min/max frequency
'values to your hardware.
'
'This example could be used for morse code or something.
'Have fun.


Private Declare Function Beep Lib "kernel32" (ByVal dwFreq As Long, ByVal dwDuration As Long) As Long


Private Sub cmdGenerate_Click(hsFreq.Value, hsDur.Value)
    Beep hsFreq.Value, hsDur.Value
End Sub

Private Sub hsDur_Change()
    lblDuration = "Duration: " & hsDur.Value & "ms"
End Sub

Private Sub hsFreq_Change()
    lblFreq.Caption = "Frequency: " & hsFreq.Value & "hz"
   
End Sub
