VERSION 2.00
Begin Form Form1 
   Caption         =   "Form1"
   Height          =   6225
   Left            =   1035
   LinkTopic       =   "Form1"
   ScaleHeight     =   5820
   ScaleWidth      =   7365
   Top             =   1140
   Width           =   7485
   Begin CommandButton Command1 
      Caption         =   "Command1"
      Height          =   375
      Left            =   1680
      TabIndex        =   1
      Top             =   3960
      Width           =   1575
   End
   Begin TextBox Text1 
      Height          =   2295
      Left            =   1920
      MultiLine       =   -1  'True
      TabIndex        =   0
      Top             =   1200
      Width           =   3375
   End
   Begin MSComm MSComm1 
      Interval        =   1000
      Left            =   720
      RThreshold      =   1
      RTSEnable       =   -1  'True
      Settings        =   "2400,n,8,1"
      Top             =   1800
   End
   Begin Label Label2 
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   480
      TabIndex        =   3
      Top             =   5280
      Width           =   6135
   End
   Begin Label Label1 
      Height          =   255
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   6375
   End
End
DefInt A-Z

Option Explicit
                        
Dim Ret                 'Scratch integer
Dim Temp$               'Scratch string
Dim hLogFile            'Handle of open log file

Sub Command1_Click ()
If MSComm1.PortOpen = True Then
MSComm1.PortOpen = False
End If
End
End Sub

Sub Form_Click ()
 MSComm1.PortOpen = False
 label2.Caption = "com1 " + MSComm1.Settings
 If MSComm1.PortOpen = True Then
 label2.Caption = label2.Caption + " Port open"
 End If

End Sub

Sub Form_Load ()
 MSComm1.PortOpen = True
 label2.Caption = "com1 " + MSComm1.Settings
 If MSComm1.PortOpen = True Then
 label2.Caption = label2.Caption + " Port open"
 End If
End Sub

Sub MSComm1_OnComm ()
 Dim EVMsg$
    Dim ERMsg$
    
    '--- Branch according to the CommEvent Prop..
    Select Case MSComm1.CommEvent
        '--- Event messages
        Case MSCOMM_EV_RECEIVE
            ShowData Text1, (MSComm1.Input)
        Case MSCOMM_EV_SEND
            
        Case MSCOMM_EV_CTS
            EVMsg$ = "Change in CTS Detected"
        Case MSCOMM_EV_DSR
            EVMsg$ = "Change in DSR Detected"
        Case MSCOMM_EV_CD
            EVMsg$ = "Change in CD Detected"
        Case MSCOMM_EV_RING
            EVMsg$ = "The Phone is Ringing"
        Case MSCOMM_EV_EOF
            EVMsg$ = "End of File Detected"

        '--- Error messages
        Case MSCOMM_ER_BREAK
            EVMsg$ = "Break Received"
        Case MSCOMM_ER_CTSTO
            ERMsg$ = "CTS Timeout"
        Case MSCOMM_ER_DSRTO
            ERMsg$ = "DSR Timeout"
        Case MSCOMM_ER_FRAME
            EVMsg$ = "Framing Error"
        Case MSCOMM_ER_OVERRUN
            ERMsg$ = "Overrun Error"
        Case MSCOMM_ER_CDTO
            ERMsg$ = "Carrier Detect Timeout"
        Case MSCOMM_ER_RXOVER
            ERMsg$ = "Receive Buffer Overflow"
        Case MSCOMM_ER_RXPARITY
            EVMsg$ = "Parity Error"
        Case MSCOMM_ER_TXFULL
            ERMsg$ = "Transmit Buffer Full"
        Case Else
            ERMsg$ = "Unknown error or event"
    End Select
    
    If Len(EVMsg$) Then
        '--- Display event messages in label
        Label1.Caption = EVMsg$
        EVMsg$ = ""
    ElseIf Len(ERMsg$) Then
        '--- Display error messages in an alert
        '    message box.
        Beep
        Ret = MsgBox(ERMsg$, 1, "Press Cancel to Quit, Ok to ignore.")
        ERMsg$ = ""
        '--- If Cancel (2) was pressed
        If Ret = 2 Then
            MSComm1.PortOpen = 0    'Close the port and quit
        End If
    End If

End Sub

Static Sub ShowData (Text1 As Control, Dta$)
On Error Resume Next
    Dim Nd, I

    '--- Make sure the existing text doesn't get
    '    too large.
    Nd = Len(Text1.Text)
    If Nd >= 16384 Then
       Text1.Text = Mid$(Text1.Text, 4097)
       Nd = Len(Text1.Text)
    End If

    '--- Point to the end of Term's data
    Text1.SelStart = Nd

    '--- Filter/handle Back Space characters
    Do
       I = InStr(Dta$, Chr$(8))
       If I Then
          If I = 1 Then
             Text1.SelStart = Nd - 1
             Text1.SelLength = 1
             Dta$ = Mid$(Dta$, I + 1)
          Else
             Dta$ = Left$(Dta$, I - 2) + Mid$(Dta$, I + 1)
          End If
       End If
    Loop While I

    '--- Elliminate Line Feeds (put back below)
    Do
       I = InStr(Dta$, Chr$(10))
       If I Then
          Dta$ = Left$(Dta$, I - 1) + Mid$(Dta$, I + 1)
       End If
    Loop While I

    '--- Make sure all Charriage Returns have a
    '    Line Feed
    I = 1
    Do
       I = InStr(I, Dta$, Chr$(13))
       If I Then
          Dta$ = Left$(Dta$, I) + Chr$(10) + Mid$(Dta$, I + 1)
          I = I + 1
       End If
    Loop While I

    '--- Add the filtered data to .Text
    Text1.SelText = Dta$

    '--- Log data to file if requested
    If hLogFile Then
       I = 2
       Do
          Err = 0
          Put hLogFile, , Dta$
          If Err Then
             I = MsgBox(Error$, 21)
             If I = 2 Then
             MSComm1.PortOpen = False
             End If
          End If
       Loop While I <> 2
    End If


End Sub

Sub Text1_KeyPress (KeyAscii As Integer)

    '--- If the port is openned,
    If MSComm1.PortOpen Then
       '--- Send the key stroke to the port
       MSComm1.Output = Chr$(KeyAscii)
       '--- Unless Echo is on, there is no need to
       '    let the Text control display the key.
       If Not Echo Then KeyAscii = 0
    End If

End Sub

