VERSION 2.00
Begin Form Repeater 
   Caption         =   "RS 232 Repeater"
   Height          =   6225
   Left            =   930
   LinkTopic       =   "Form1"
   ScaleHeight     =   5820
   ScaleWidth      =   7365
   Top             =   1800
   Width           =   7485
   Begin TextBox Text2 
      Height          =   2295
      Left            =   840
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   4
      Top             =   2880
      Width           =   3015
   End
   Begin MSComm MSComm2 
      CommPort        =   3
      Interval        =   1000
      Left            =   1440
      RThreshold      =   1
      RTSEnable       =   -1  'True
      Settings        =   "2400,n,8,1"
      Top             =   1800
   End
   Begin CommandButton Command1 
      Caption         =   "Close port and end"
      Height          =   375
      Left            =   5520
      TabIndex        =   1
      Top             =   5280
      Width           =   1815
   End
   Begin TextBox Text1 
      Height          =   2295
      Left            =   3960
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   2880
      Width           =   3375
   End
   Begin MSComm MSComm1 
      CommPort        =   2
      Interval        =   1000
      Left            =   720
      RThreshold      =   1
      RTSEnable       =   -1  'True
      Settings        =   "300,e,7,1"
      Top             =   1800
   End
   Begin Label Label3 
      Caption         =   "Label3"
      Height          =   375
      Left            =   0
      TabIndex        =   5
      Top             =   360
      Width           =   6855
   End
   Begin Label Label2 
      BorderStyle     =   1  'Fixed Single
      Height          =   375
      Left            =   480
      TabIndex        =   3
      Top             =   5280
      Width           =   5055
   End
   Begin Label Label1 
      Height          =   255
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   6375
   End
End
DefInt A-Z

Option Explicit
                        
Dim Ret                 'Scratch integer
Dim Temp$               'Scratch string
Dim hLogFile            'Handle of open log file
'revisions thru 06/26/2008 jf

Sub Command1_Click ()
If MSComm1.PortOpen = True Then
MSComm1.PortOpen = False
End If
 If MSComm2.PortOpen = True Then
 'set autoanswer to off
 MSComm2.Output = "ats0=1" + Chr$(13)
 MSComm2.PortOpen = False
 End If

End
End Sub

Sub Form_Click ()
If Not MSComm1.PortOpen = False Then
  MSComm1.PortOpen = False
  MSComm2.PortOpen = True
  label2.Caption = " Com2 " + MSComm2.Settings + " Open"
  Else
  MSComm1.PortOpen = True
  label2.Caption = " Com1 " + MSComm1.Settings + " Open"
  MSComm2.PortOpen = False
 End If
End Sub

Sub Form_Load ()
 
 MSComm2.PortOpen = True
 MSComm2.Output = "ats0=02" + Chr$(13)
 'MSComm1.PortOpen = True
 label2.Caption = "Com1 " + MSComm1.Settings
 If MSComm1.PortOpen = True Then
 label2.Caption = label2.Caption + " Port Open"
 End If
 If MSComm2.PortOpen = True Then
 label2.Caption = label2.Caption + " Com2 " + MSComm2.Settings + " Open"
 End If

 

End Sub

Sub MSComm1_OnComm ()
 Dim EVMsg$
    Dim ERMsg$
    
    '--- Branch according to the CommEvent Prop..
    Select Case MSComm1.CommEvent
        '--- Event messages
        Case MSCOMM_EV_RECEIVE
            ShowData Text1, (MSComm1.Input)
        Case MSCOMM_EV_SEND
            
        Case MSCOMM_EV_CTS
            EVMsg$ = "Change in CTS Detected"
        Case MSCOMM_EV_DSR
            EVMsg$ = "Change in DSR Detected"
        Case MSCOMM_EV_CD
            EVMsg$ = "Change in CD Detected"
        Case MSCOMM_EV_RING
            EVMsg$ = "The Phone is Ringing"
             'MSComm1.Output = "at" + Chr$(13)
             
        Case MSCOMM_EV_EOF
            EVMsg$ = "End of File Detected"

        '--- Error messages
        Case MSCOMM_ER_BREAK
            EVMsg$ = "Break Received"
        Case MSCOMM_ER_CTSTO
            ERMsg$ = "CTS Timeout"
        Case MSCOMM_ER_DSRTO
            ERMsg$ = "DSR Timeout"
        Case MSCOMM_ER_FRAME
            EVMsg$ = "Framing Error"
        Case MSCOMM_ER_OVERRUN
            ERMsg$ = "Overrun Error"
        Case MSCOMM_ER_CDTO
            ERMsg$ = "Carrier Detect Timeout"
        Case MSCOMM_ER_RXOVER
            MSComm1.DTREnable = False
            'ERMsg$ = "Receive Buffer Overflow"
        Case MSCOMM_ER_RXPARITY
            EVMsg$ = "Parity Error"
        Case MSCOMM_ER_TXFULL
            ERMsg$ = "Transmit Buffer Full"
        Case Else
            ERMsg$ = "Unknown error or event"
    End Select
    
    If Len(EVMsg$) Then
        '--- Display event messages in label
        Label1.Caption = EVMsg$
        EVMsg$ = ""
    ElseIf Len(ERMsg$) Then
        '--- Display error messages in an alert
        '    message box.
        Beep
        Ret = MsgBox(ERMsg$, 1, "Press Cancel to Quit, Ok to ignore.")
        ERMsg$ = ""
        '--- If Cancel (2) was pressed
        If Ret = 2 Then
            MSComm1.PortOpen = 0    'Close the port and quit
        End If
    End If

End Sub

Sub MSComm2_OnComm ()
 Dim EVMsg$
 Dim ERMsg$
    
    '--- Branch according to the CommEvent Prop..
    Select Case MSComm2.CommEvent
        '--- Event messages
        Case MSCOMM_EV_RECEIVE
            ShowData2 Text2, (MSComm2.Input)
        Case MSCOMM_EV_SEND
            
        Case MSCOMM_EV_CTS
            EVMsg$ = "Change in CTS Detected"
        Case MSCOMM_EV_DSR
            EVMsg$ = "Change in DSR Detected"
        Case MSCOMM_EV_CD
            EVMsg$ = "Change in CD Detected"
            If MSComm1.PortOpen = False Then
           MSComm1.PortOpen = True
           ' Else
            'Mscomm1.PortOpen = False
            End If

        Case MSCOMM_EV_RING
            EVMsg$ = "The Phone is Ringing"
            'MSComm2.Output = "at" + Chr$(13)
        Case MSCOMM_EV_EOF
            EVMsg$ = "End of File Detected"

        '--- Error messages
        Case MSCOMM_ER_BREAK
            EVMsg$ = "Break Received"
        Case MSCOMM_ER_CTSTO
            ERMsg$ = "CTS Timeout"
        Case MSCOMM_ER_DSRTO
            ERMsg$ = "DSR Timeout"
        Case MSCOMM_ER_FRAME
            EVMsg$ = "Framing Error"
        Case MSCOMM_ER_OVERRUN
            ERMsg$ = "Overrun Error"
        Case MSCOMM_ER_CDTO
            ERMsg$ = "Carrier Detect Timeout"
        Case MSCOMM_ER_RXOVER
            MSComm2.DTREnable = False
            'ERMsg$ = "Receive Buffer Overflow"
        Case MSCOMM_ER_RXPARITY
            EVMsg$ = "Parity Error"
        Case MSCOMM_ER_TXFULL
            ERMsg$ = "Transmit Buffer Full"
        Case Else
            ERMsg$ = "Unknown error or event"
    End Select
    
    If Len(EVMsg$) Then
        '--- Display event messages in label
        Label3.Caption = EVMsg$
        EVMsg$ = ""
    ElseIf Len(ERMsg$) Then
        '--- Display error messages in an alert
        '    message box.
        Beep
        Ret = MsgBox(ERMsg$, 1, "Press Cancel to Quit, Ok to ignore.")
        ERMsg$ = ""
        '--- If Cancel (2) was pressed
        If Ret = 2 Then
            MSComm2.PortOpen = 0    'Close the port and quit
        End If
    End If

End Sub

Static Sub ShowData (Text1 As Control, DTA$)
On Error Resume Next
    Dim Nd, I

    '--- Make sure the existing text doesn't get
    '    too large.
    Nd = Len(Text1.Text)
    If Nd >= 16384 Then
       Text1.Text = Mid$(Text1.Text, 4097)
       Nd = Len(Text1.Text)
    End If

    '--- Point to the end of Term's data
    Text1.SelStart = Nd

    '--- Filter/handle Back Space characters
    Do
       I = InStr(DTA$, Chr$(8))
       If I Then
          If I = 1 Then
             Text1.SelStart = Nd - 1
             Text1.SelLength = 1
             DTA$ = Mid$(DTA$, I + 1)
          Else
             DTA$ = Left$(DTA$, I - 2) + Mid$(DTA$, I + 1)
          End If
       End If
    Loop While I

    '--- Elliminate Line Feeds (put back below)
    Do
       I = InStr(DTA$, Chr$(10))
       If I Then
          DTA$ = Left$(DTA$, I - 1) + Mid$(DTA$, I + 1)
       End If
    Loop While I

    '--- Make sure all Charriage Returns have a
    '    Line Feed
    I = 1
    Do
       I = InStr(I, DTA$, Chr$(13))
       If I Then
          DTA$ = Left$(DTA$, I) + Chr$(10) + Mid$(DTA$, I + 1)
          I = I + 1
       End If
    Loop While I

    '--- Add the filtered data to .Text
    Text1.SelText = DTA$
   MSComm2.Output = DTA$
    '--- Log data to file if requested
    If hLogFile Then
       I = 2
       Do
          Err = 0
          Put hLogFile, , DTA$
          If Err Then
             I = MsgBox(Error$, 21)
             If I = 2 Then
             MSComm1.PortOpen = False
             End If
          End If
       Loop While I <> 2
    End If


End Sub

Static Sub ShowData2 (Text2 As Control, DTA$)
On Error Resume Next
    Dim Nd, I

    '--- Make sure the existing text doesn't get
    '    too large.
    Nd = Len(Text2.Text)
    If Nd >= 16384 Then
       Text2.Text = Mid$(Text2.Text, 4097)
       Nd = Len(Text2.Text)
    End If

    '--- Point to the end of Term's data
    Text2.SelStart = Nd

    '--- Filter/handle Back Space characters
    Do
       I = InStr(DTA$, Chr$(8))
       If I Then
          If I = 1 Then
             Text2.SelStart = Nd - 1
             Text2.SelLength = 1
             DTA$ = Mid$(DTA$, I + 1)
          Else
             DTA$ = Left$(DTA$, I - 2) + Mid$(DTA$, I + 1)
          End If
       End If
    Loop While I

    '--- Elliminate Line Feeds (put back below)
    Do
       I = InStr(DTA$, Chr$(10))
       If I Then
          DTA$ = Left$(DTA$, I - 1) + Mid$(DTA$, I + 1)
       End If
    Loop While I

    '--- Make sure all Charriage Returns have a
    '    Line Feed
    I = 1
    Do
       I = InStr(I, DTA$, Chr$(13))
       If I Then
          DTA$ = Left$(DTA$, I) + Chr$(10) + Mid$(DTA$, I + 1)
          I = I + 1
       End If
    Loop While I

    '--- Add the filtered data to .Text
    Text2.SelText = DTA$
    MSComm1.Output = DTA$
    '--- Log data to file if requested
    If hLogFile Then
       I = 2
       Do
          Err = 0
          Put hLogFile, , DTA$
          If Err Then
             I = MsgBox(Error$, 21)
             If I = 2 Then
             MSComm2.PortOpen = False
             End If
          End If
       Loop While I <> 2
    End If





End Sub

Sub Text1_Change ()
'If MSComm1.PortOpen = True Then
'Text1.Text = Text2.Text
'End If

Dim I

End Sub

Sub Text1_KeyPress (KeyAscii As Integer)

    '--- If the port is openned,
    'If Mscomm1.PortOpen Then
       '--- Send the key stroke to the port
       MSComm1.Output = Chr$(KeyAscii)
       '--- Unless Echo is on, there is no need to
       '    let the Text control display the key.
       If Not Echo Then KeyAscii = 0
   ' Else
    ' Mscomm1.PortOpen = True
    'End If

End Sub

Sub Text2_Change ()
Dim I
'If MSComm2.PortOpen = True Then
'p Text1.Text = Text2.Text
'ln = Len(Text2.Text) - 1
'Text2.Text = Right$(Text2.Text, ln)
'End If
I = InStr(Text2.Text, "CONNECT")
If I Then
If MSComm1.PortOpen = False Then
MSComm1.PortOpen = True
End If
End If
I = InStr(Text2.Text, "NO CARRIER")
If I Then
If MSComm1.PortOpen = True Then
MSComm1.PortOpen = False
Text2.Text = ""
End If
'Text2.Text = Text1.Text
'Text1.Text = ""
'Exit Sub
End If

End Sub

Sub Text2_KeyPress (KeyAscii As Integer)
    '--- If the port is openned,
    If MSComm2.PortOpen Then
       '--- Send the key stroke to the port
       MSComm2.Output = Chr$(KeyAscii)
       '--- Unless Echo is on, there is no need to
       '    let the Text control display the key.
       If Not Echo Then KeyAscii = 0
    End If

End Sub

