VERSION 5.00
Begin VB.Form frmNotePad 
   Appearance      =   0  'Flat
   BackColor       =   &H80000005&
   Caption         =   "Untitled"
   ClientHeight    =   4050
   ClientLeft      =   900
   ClientTop       =   2190
   ClientWidth     =   5655
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4050
   ScaleWidth      =   5655
   Visible         =   0   'False
   Begin VB.TextBox Text1 
      Appearance      =   0  'Flat
      Height          =   3855
      HideSelection   =   0   'False
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   0
      Width           =   5655
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFNew 
         Caption         =   "&New"
      End
      Begin VB.Menu mnuFOpen 
         Caption         =   "&Open..."
      End
      Begin VB.Menu mnuFClose 
         Caption         =   "&Close"
      End
      Begin VB.Menu mnuFSave 
         Caption         =   "&Save"
      End
      Begin VB.Menu mnuFSaveAs 
         Caption         =   "Save &As..."
      End
      Begin VB.Menu mnuFSep 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuECut 
         Caption         =   "Cu&t"
         Shortcut        =   ^X
      End
      Begin VB.Menu mnuECopy 
         Caption         =   "&Copy"
         Shortcut        =   ^C
      End
      Begin VB.Menu mnuEPaste 
         Caption         =   "&Paste"
         Shortcut        =   ^V
      End
      Begin VB.Menu mnuEDelete 
         Caption         =   "De&lete"
         Shortcut        =   {DEL}
      End
      Begin VB.Menu mnuESep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuESelectAll 
         Caption         =   "Select &All"
      End
      Begin VB.Menu mnuETime 
         Caption         =   "Time/&Date"
      End
   End
   Begin VB.Menu mnuSearch 
      Caption         =   "&Search"
      Begin VB.Menu mnuSFind 
         Caption         =   "&Find"
      End
      Begin VB.Menu mnuSFindNext 
         Caption         =   "Find &Next"
         Shortcut        =   {F3}
      End
   End
   Begin VB.Menu mnuOptions 
      Caption         =   "&Options"
      Begin VB.Menu mnuOToolbar 
         Caption         =   "&Toolbar"
      End
      Begin VB.Menu mnuFont 
         Caption         =   "&Font"
         Begin VB.Menu mnuFontName 
            Caption         =   "FontName"
            Index           =   0
         End
      End
   End
   Begin VB.Menu mnuWindow 
      Caption         =   "&Window"
      WindowList      =   -1  'True
      Begin VB.Menu mnuWCascade 
         Caption         =   "&Cascade"
      End
      Begin VB.Menu mnuWTile 
         Caption         =   "&Tile"
      End
      Begin VB.Menu mnuWArrange 
         Caption         =   "&Arrange Icons"
      End
   End
End
Attribute VB_Name = "frmNotePad"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
    Dim i As Integer
    
    mnuFontName(0).Caption = Screen.Fonts(0)
    For i = 1 To Screen.FontCount - 1
        Load mnuFontName(i)
        mnuFontName(0).Caption = Screen.Fonts(i)
    Next
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    Dim msg, filename, NL
    Dim response As Integer

    If FState(Me.Tag).Dirty Then
        filename = Me.Caption
        NL = Chr$(10) & Chr$(13)
        msg = "The text in [" & filename & "] has changed."
        msg = msg & NL
        msg = msg & "Do you want to save the changes?"
        response = MsgBox(msg, 51, frmMDI.Caption)
        Select Case response
        ' User selects Yes
        ' Load the File Save dialog
        Case 6
            ' Invoke the Save As procedure
            Call mnuFSaveAs_Click
            ' If the user has selected the Cancel button on
            ' the File Save dialog (not the msgbox), then the txtFileName
            ' text box is set to empty and the unload needs to be canceled.
            If IsEmpty(FileForm.txtFileName.Text) Then
                Cancel = True
            End If
        ' User selects No
        ' Ok to unload
            
        Case 7
            Cancel = False
        ' User selects Cancel
        ' Cancel the unload
        Case 2
            Cancel = True
        End Select
    End If
End Sub

Private Sub Form_Resize()
    If WindowState <> 1 And ScaleHeight <> 0 Then
        Text1.Visible = False
        Text1.Height = ScaleHeight
        Text1.Width = ScaleWidth
        Text1.Visible = True
    End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
    FState(Me.Tag).Deleted = True
    
'Hide toolbar edit buttons if no notepad windows
    If Not AnyPadsLeft() Then
        frmMDI!imgCutButton.Visible = False
        frmMDI!imgCopyButton.Visible = False
        frmMDI!imgPasteButton.Visible = False
    End If
End Sub

Private Sub mnuECopy_Click()
    EditCopyProc
End Sub

Private Sub mnuECut_Click()
    EditCutProc
End Sub

Private Sub mnuEDelete_Click()

    ' Delete selected text.
    If Screen.ActiveControl.SelLength = 0 Then
       Screen.ActiveControl.SelLength = 1
    End If

    Screen.ActiveControl.SelText = ""
End Sub

Private Sub mnuEPaste_Click()
    EditPasteProc
End Sub

Private Sub mnuESelectAll_Click()
    frmMDI.ActiveForm.Text1.SelStart = 0
    frmMDI.ActiveForm.Text1.SelLength = Len(frmMDI.ActiveForm.Text1.Text)
End Sub

Private Sub mnuETime_Click()
    Dim TimeStr As String, DateStr As String
    
    Text1.SelText = Now
End Sub

Private Sub mnuFClose_Click()
    Unload Me
End Sub

Private Sub mnuFExit_Click()
    ' Unloading the MDI form invokes the QueryUnload event
    ' for each child form, then the MDI form - before unloading
    ' the MDI form. Setting the Cancel argument to True in any of the
    ' QueryUnload events aborts the unload.

    Unload frmMDI


End Sub

Private Sub mnuFNew_Click()
    FileNew
End Sub

Private Sub mnuFontName_Click(Index As Integer)
    Text1.FontName = mnuFontName(Index).Caption
End Sub

Private Sub mnuFOpen_Click()
    FOpenProc
End Sub

Private Sub mnuFSave_Click()
    Dim filename As String

    If Left(Me.Caption, 8) = "Untitled" Then
        ' The file hasn't been saved yet,
        ' get the filename, then call the
        ' save procedure
        filename = GetFilename("Save As")
    Else
        ' The caption contains the name of the open file
        filename = Me.Caption
    End If
    ' call the save procedure, if Filename = Empty then
    ' the user selected Cancel in the Save As dialog, otherwise
    ' save the file
    If filename <> "" Then
        SaveFileAs filename
    End If
End Sub

Private Sub mnuFSaveAs_Click()
    Dim SaveFileName As String
    
    SaveFileName = GetFilename("Save As")
    If SaveFileName <> "" Then
        SaveFileAs (SaveFileName)
    End If
End Sub

Private Sub mnuOptions_Click()
    mnuOToolbar.Checked = frmMDI!picToolbar.Visible
End Sub

Private Sub mnuOToolbar_Click()
    OptionsToolbarProc Me
End Sub

Private Sub mnuSFind_Click()
    If Me!Text1.SelText <> "" Then
        frmFind!Text1.Text = Me!Text1.SelText
    Else
        frmFind!Text1.Text = findstring
    End If
    gFirstTime = True
    frmFind.Show
End Sub

Private Sub mnuSFindNext_Click()
    If Len(gFindString) > 0 Then
        FindIt
    Else
        mnuSFind_Click
    End If
End Sub

Private Sub mnuWArrange_Click()
    frmMDI.Arrange ARRANGE_ICONS
End Sub

Private Sub mnuWCascade_Click()
    frmMDI.Arrange CASCADE
End Sub

Private Sub mnuWTile_Click()
    frmMDI.Arrange TILE_HORIZONTAL
End Sub

Private Sub Text1_Change()
    FState(Me.Tag).Dirty = True
End Sub

Private Sub Text1_GotFocus()
    If frmFind.Visible Then
        frmFind.ZOrder 0
    End If
End Sub

